View Issue Details

IDProjectCategoryView StatusLast Update
0000492MetaPostbugpublic2010-10-19 10:13
ReporterTacoAssigned ToTaco 
PrioritylowSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.211 
Target Version1.212Fixed in Version1.212 
Summary0000492: use kpathsea's IS_DIR_SEP() if avaiable
Description
From PEB:

web2c/mplibdir/mp.w:1053 "IS_DIR_SEP" redefined
kpathsea/mingw32.h:31 previous definition

kpathsea/c-pathch.h:39 "IS_DIR_SEP" redefined
mpost.c:12: the previous definition

The problem here is that the macro definitions are similar but not
identical.

(2a) Declare IS_DIR_SEP exactly as in kpathsea/mingw32.h and
kpathsea/c-pathch.h, i.e., as "((ch) == '/' || (ch) == '\\')"

(2b) Even better, don't define it at all and use the kpathsea's definition.

---------------------

Actually 1.50x now uses MP_IS_DIR_SEP() but it would be nice to reuse the
kpathsea version if it exists.
TagsNo tags attached.

Activities

Taco

2010-10-13 13:28

administrator   ~0000643

fixed in commit #1399

Issue History

Date Modified Username Field Change
2010-10-04 09:59 Taco New Issue
2010-10-04 09:59 Taco Status new => assigned
2010-10-04 09:59 Taco Assigned To => Taco
2010-10-13 13:28 Taco Note Added: 0000643
2010-10-13 13:28 Taco Status assigned => resolved
2010-10-13 13:28 Taco Resolution open => fixed
2010-10-17 12:27 Taco Target Version => 1.212
2010-10-19 10:13 Taco Fixed in Version => 1.212
2010-10-19 10:13 Taco Status resolved => closed